> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zudu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List MCP server tools

> Lists tools for an MCP server (current behavior).

## Notes

* Fetches tools from the MCP server in real time


## OpenAPI

````yaml get /api/mcp-servers/{mcpServerId}/tools
openapi: 3.0.3
info:
  title: Zudu API
  description: >-
    Comprehensive REST API for LiveKit Backend - Call Management, Agent
    Configuration, and Real-time Communication Services
  version: 1.0.0
  contact:
    name: Zudu AI Team
    url: https://zudu.ai
    email: support@zudu.ai
  license:
    name: Proprietary
    url: https://zudu.ai/license
servers:
  - url: https://api.zudu.ai
    description: Production (Customer-facing)
security:
  - apiKey: []
    apiSecret: []
tags:
  - name: Agent Management
    description: Create and manage AI agents
  - name: Call Data Management
    description: Call records and history
  - name: Customer API Keys
    description: Manage API keys
  - name: Post-Call Webhooks
    description: Webhook configuration
  - name: phone-number-controller
    description: Phone numbers
  - name: batch-call-controller
    description: Batch calls
  - name: MCP Server Management
    description: MCP servers
  - name: Knowledge Base Management
    description: Knowledge bases
  - name: Call Analysis
    description: Call analysis
paths:
  /api/mcp-servers/{mcpServerId}/tools:
    get:
      tags:
        - MCP Server Management
      summary: List MCP server tools
      description: >-
        Fetches tools from the MCP server in real time. Requires X-Service-Key
        and orgId headers.
      operationId: listMcpServerTools
      parameters:
        - name: mcpServerId
          in: path
          required: true
          description: MCP server ID
          schema:
            type: string
            example: mcp_8c180796-e6d7-4343-88b5-5df0846fef69
      responses:
        '200':
          description: MCP server tools retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  status:
                    type: string
                  error:
                    type: string
                    nullable: true
                  data:
                    type: array
                    items:
                      type: object
              example:
                message: MCP server tools retrieved successfully
                status: success
                error: null
                data:
                  - tool_name: google_calendar_create_detailed_event
                    description: Create an event by defining each field.
                    approval_policy: auto_approve_all
                    input_schema:
                      type: object
                      properties:
                        instructions:
                          type: string
                          description: Instructions for running this tool...
                        summary:
                          type: string
                          description: Summary
                      required:
                        - instructions
                    created_at: 1751785825934
                    updated_at: 1751785825934
        '404':
          description: MCP server not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  status:
                    type: string
                  error:
                    type: string
                    nullable: true
                  data:
                    type: string
                    nullable: true
              example:
                message: MCP server not found
                status: error
                error: >-
                  MCP server with ID 'mcp_invalid_id' does not exist in
                  organization
                data: null
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  status:
                    type: string
                  error:
                    type: string
                    nullable: true
                  data:
                    type: string
                    nullable: true
              example:
                message: Internal server error
                status: error
                error: Server error
                data: null
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key for MCP server and external service authentication
      name: X-API-KEY
      in: header
    apiSecret:
      type: apiKey
      description: API Secret for MCP server and external service authentication
      name: X-API-SECRET
      in: header

````